//
//  GroceryTableViewCell.m
//  GroceryTableView
//
//  Created by Aron Bury on 1/04/13.
//  Copyright (c) 2013 Aron Bury. All rights reserved.
//

#import "GroceryTableViewCell.h"
@interface GroceryTableViewCell()
@property (nonatomic, strong) UIView *pickedUpView;

@end

@implementation GroceryTableViewCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self)
    {
        self.pickedUpView = [[UIView alloc] initWithFrame:self.frame];
        self.pickedUpView.backgroundColor = [UIColor colorWithRed:0.4f green:0.8 blue:0.4 alpha:1];
        self.pickedUpView.alpha = 0.0f;
        self.textLabel.backgroundColor = [UIColor clearColor];
        
        [self insertSubview:self.pickedUpView belowSubview:self.contentView];
    }
    return self;
}

- (void)setPickedUp:(BOOL)pickedUp animated:(BOOL)animated
{
    CGFloat alpha = (pickedUp) ? 1.0 : 0.0f;
    CGFloat animationLength = (animated) ? 0.3 : 0.0f;
    
    [UIView animateWithDuration:animationLength
                          delay:0.0f
                        options:UIViewAnimationOptionCurveEaseIn
                     animations:^{
                         self.pickedUpView.alpha = alpha;
                     }
                     completion:^(BOOL finished) {
                         
                     }];
}

@end
